package com.rv.im;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.widget.LinearLayout;

import com.ruiwenliu.wrapper.base.BaseBean;
import com.ruiwenliu.wrapper.base.BaseStatusActivity;
import com.ruiwenliu.wrapper.weight.TitleView;
import com.rv.component.utils.CacheEnum;
import com.rv.component.utils.RvCache;
import com.rv.im.adapter.AddressListAdapter;
import com.rv.im.bean.ContactsBean;
import com.rv.im.presenter.AddressPresenter;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/************
 *
 * 通讯录
 *
 */
public class AddressListActivity extends BaseStatusActivity<AddressPresenter> {

    private RecyclerView recyclerView;

    private AddressListAdapter adapter = null;

    private List<ContactsBean.ContactItemBean> lists = new ArrayList<>();


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    @Override
    protected int setLayout() {
        return R.layout.activity_address_list;
    }

    @Override
    protected void initView(Bundle savedInstanceState, TitleView titleView, Intent intent) {
        titleView.setTitle(getString(R.string.title_address_list));
        recyclerView = findViewById(R.id.recyclerview);
        recyclerView.setLayoutManager(new LinearLayoutManager(this, LinearLayout.VERTICAL, false));
    }

    @Override
    protected void loadData(Bundle savedInstanceState, Intent intent) {
        super.loadData(savedInstanceState, intent);
        mPresenter.initAddress(lists);
        adapter = new AddressListAdapter(lists);
        recyclerView.setAdapter(adapter);
    }

    @Override
    public void onShowResult(int requestType, BaseBean result) {
        switch (requestType) {
            case 0:
                if (result != null && result instanceof ContactsBean) {
                    ContactsBean bean = (ContactsBean) result;
                    if (bean.resultCode == 1) {
                        RvCache.getInstance().save(bean, CacheEnum.CONTACTS);
                        if (bean.getData() != null && bean.getData().size() > 0) {
                            // 保存数据，更新ui;
                            lists.clear();
                            lists.addAll(bean.getData());
                            Collections.sort(lists);
                            adapter.setNewData(lists);
                            adapter.notifyDataSetChanged();
                        }
                    }
                }
                break;
            default:
                break;
        }
    }
}
