package com.rv.im.adapter;

import android.support.annotation.Nullable;
import android.text.TextUtils;
import android.view.View;
import android.widget.ImageView;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.ruiwenliu.wrapper.util.glide.GlideManager;
import com.rv.im.R;
import com.rv.im.bean.ContactsBean;

import java.util.List;

public class AddressListAdapter extends BaseQuickAdapter<ContactsBean.ContactItemBean, BaseViewHolder> {


    private boolean needShowNavigation = true;

    private char lastNavigation;

    public AddressListAdapter(@Nullable List<ContactsBean.ContactItemBean> data) {
        super(R.layout.item_address_list, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, ContactsBean.ContactItemBean item) {
        helper.setText(R.id.tv_name, item.getToNickname());

        if (item.getType() == 0) {
            helper.itemView.findViewById(R.id.ll_navigation).setVisibility(View.GONE);
            if (item.getLocalHead() != 0) {
                helper.setImageResource(R.id.img_header, item.getLocalHead());
            }
        } else {
            if (needShowNavigation) {
                helper.itemView.findViewById(R.id.ll_navigation).setVisibility(View.VISIBLE);
            } else {
                helper.itemView.findViewById(R.id.ll_navigation).setVisibility(View.GONE);
            }
//            if (!TextUtils.isEmpty(item.getHeadUrl())) {
//                ImageView imageView = helper.itemView.findViewById(R.id.img_header);
//                GlideManager.getInstance(mContext).loadImage(item.getHeadUrl(), imageView);
//            }
        }
    }
}
