package com.rv.im.presenter;

import com.ruiwenliu.wrapper.base.presenter.CommonPresenter;
import com.rv.component.utils.CacheEnum;
import com.rv.component.utils.RvCache;
import com.rv.im.AppConfig;
import com.rv.im.ImSetting;
import com.rv.im.R;
import com.rv.im.bean.ContactsBean;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class AddressPresenter extends CommonPresenter {

    /******
     *
     * 初始化好友列表
     * @param lists
     */
    public void initAddress(List<ContactsBean.ContactItemBean> lists) {
        boolean isShowLoading = lists == null || lists.size() == 0;
        addCustomerItem(lists);
        addGroupItem(lists);
        addNewFriendItem(lists);
        ContactsBean bean = (ContactsBean) RvCache.getInstance().get(CacheEnum.CONTACTS);
        if (bean != null && bean.getData() != null && bean.getData().size() > 0) {
            lists.addAll(bean.getData());
        }
        pullFriends(isShowLoading);
    }

    private void addNewFriendItem(List<ContactsBean.ContactItemBean> lists) {
        ContactsBean.ContactItemBean bean = new ContactsBean.ContactItemBean();
        bean.setType(0);
        bean.setToNickname(getPresenterContext().getString(R.string.text_new_friend));
        bean.setLocalHead(R.drawable.icon_lion);
        lists.add(bean);
    }

    private void addGroupItem(List<ContactsBean.ContactItemBean> lists) {
        ContactsBean.ContactItemBean bean = new ContactsBean.ContactItemBean();
        bean.setType(0);
        bean.setToNickname(getPresenterContext().getString(R.string.text_group));
        bean.setLocalHead(R.drawable.icon_lion);
        lists.add(bean);
    }

    private void addCustomerItem(List<ContactsBean.ContactItemBean> lists) {
        ContactsBean.ContactItemBean bean = new ContactsBean.ContactItemBean();
        bean.setType(0);
        bean.setToNickname(getPresenterContext().getString(R.string.text_customer_list));
        bean.setLocalHead(R.drawable.icon_lion);
        lists.add(bean);
    }


    /**
     * 从服务端获取好友列表，更新数据库
     */
    private void pullFriends(boolean isShowLoading) {
        AppConfig appConfig = (AppConfig) RvCache.getInstance().get(CacheEnum.IM_CONFIG);
        if (appConfig == null) return;
        Map<String, String> params = new HashMap<>();
        params.put("access_token", ImSetting.getImToken());
        getData(0, appConfig.FRIENDS_ATTENTION_LIST, ContactsBean.class, params, isShowLoading);
    }

}
